
Figure - Bug #118408
【IOVDEV-31924】【VC1】【0100】【台架】【EE环境】【副屏】【设置】设置-应用-大众点评-打开，无法
打开
2023-05-31 22:07 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-31

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.C103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】：EE环境

【问题出现时间】：20230531 18:39，第178次开机

https://ofs.human-horizons.com/#/download/index/Bg3xxb9e%2FIQ%3D

【前提条件】：已安装大众点评（通过华为应用市场下载）

【操作步骤】：设置-应用-大众点评-打开

【实际结果】

无法打开

【期望结果】

打开大众点评

【备注】：大众点评版本11.2.14

https://ofs.human-horizons.com/#/download/index/Tl76Cq2GepM%3D

【副屏版本号】：01.00.0100.C103

【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-05-31 22:08 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118408/0531184028.tar.gz

#2 - 2023-06-01 10:52 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

■ Current conclusion

从问题视频中可看出，设置是从大众点评打开的，当前设置界面在大众点评 Task 中，大众点评的 Task 属于激活状态，也就是已经是打开状态，所以点击

打开无效。

我这边本地无法复现这个问题：

1. 可以联系客户提供下前置操作，是从大众点评的什么地方进入的设置；
2. 出现这种问题，可以让客户在大众点评的应用详情中点击 强制停止 按钮，然后看看后续现象是什么？

■ Next action

测试确认并同步客户。

#3 - 2023-06-03 17:47 - CD TEST-方永红

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW-廖涛

问题1与视频中看出设置是从大众点评打开矛盾，长按应用点应用信息跳转到设置-应用，不确定这个操作是不是你说的让其处于激活状态，跳转后现在

可以正常打开，所以还是需出现问题时log信息

#4 - 2023-06-05 11:03 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

■ Current conclusion

从日志看，是大众点评打开了 Settings 的页面，并将其放在了自己的 Task 中，所以导致在 Settings 打不开大众点评，该问题是大众点评打开 Settings 的实现

方式问题，需要大众点评自己处理。

日志如下：

05-31 18:35:11.415  1546  7491 I wm_task_moved: [250,1,7]

05-31 18:35:11.415  1546  7491 I wm_set_resumed_activity: [0,com.dianping.v1/com.dianping.main.city.CityListSwitchActivity,positionChildAt]

05-31 18:35:11.415  1546  7491 I wm_create_activity:

[0,94477962,250,com.android.settings/.homepage.SettingsHomepageActivity,android.settings.APPLICATION_DETAILS_SETTINGS,NULL,package:com.dianping.v1,2

68435456]

05-31 18:35:11.417  1546  7491 I wm_pause_activity:

[0,138011144,com.dianping.v1/com.dianping.main.city.CityListSwitchActivity,userLeaving=true,resumeTopActivityInnerLocked]

05-31 18:35:11.419 30139 30139 I wm_on_top_resumed_lost_called: [138011144,com.dianping.main.city.CityListSwitchActivity,topStateChangedWhenResumed]

05-31 18:35:11.420 30139 30139 I wm_on_paused_called: [138011144,com.dianping.main.city.CityListSwitchActivity,performPause]

复现路径：

先关闭大众点评的位置权限，然后打开大众点评，点击主页左上角的位置区域，进入城市切换界面，然后点击定位失败区域，就会跳转 Settings 。

备注：大众点评其他地方打开设置方式是正常的，如 大众点评 -> 我的 -> 设置 -> 消息通知设置 -> 推送已开启，跳转 Settings。

■ Next action

测试确认并同步客户。

#5 - 2023-06-13 16:32 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

三方应用自身问题

#6 - 2023-06-13 16:33 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED
#7 - 2023-06-13 16:33 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

1839设置-应用-大众点评-打开.mp4 22.6 MB 2023-05-31 CDTS_TEST 王成
